<div class="loading" *ngIf='status_loading'>Loading&#8230;</div>
<div [ngStyle]="{'display': template_manage.summary === 'show' ? 'none' : '' }">

    <div class="d-flex bd-highlight">
        <div class="p-2 w-100 bd-highlight">
            <div>
                <a class="pps-header" style="font-size: 28px;">อำนาจอนุมัติผลิตภัณฑ์</a>
            </div>
            <p class="pps-header_th">
                เพิ่มข้อมูลพื้นฐานในการอนุมัติตามหัวข้อด้านล่าง
            </p>
        </div>
        <div class="pt-2 flex-shrink-1 bd-highlight"
            *ngIf="stepThreeData.validate === true || stepThreeData.validate === null">
            <button type="button" class="btn btn-primary saveDraft" (click)="saveDraft()">
                บันทึกร่างใบคำขอ
            </button>
        </div>
    </div>

</div>

<div class="alert alert-success" role="alert" [ngStyle]="{'display': saveDraftstatus !== 'success' ? 'none' : '' }">
    <a class="alert-detail"><img src="../../../../../assets/img/checkmark.png" class="icon_checkmark">
        บันทึกร่างใบคำขอเรียบร้อย</a>
</div>

<!-- ======================================== validate  = true =================================================== -->
<div style="margin-left: 10px;" *ngIf="stepThreeData.validate === true || stepThreeData.validate === null ">
    <div class="row">
        <div class="col-12">
            <p class="head-detal">อำนาจอนุมัติผลิตภัณฑ์</p>
        </div>
        <div class="col-12 body-detal-checkbox">
            <mat-radio-group aria-label="Select an option" [(ngModel)]="approvalAuthority"
                (ngModelChange)="clearApprovalAuthority(approvalAuthority);">
                <div class="d-flex align-items-stretch radio-layout">
                    <div class="bd-highlight checkbox-box">
                        <mat-radio-button value="1"></mat-radio-button>
                    </div>
                    <div class="bd-highlight radio-detail"
                        [ngClass]="{'checkbox-detail-true': approvalAuthority === '1','checkbox-detail-false': approvalAuthority !== '1'}"
                        (click)="clearApprovalAuthority('1')">คณะกรรมการผลิตภัณฑ์
                    </div>
                </div>
                <div class="d-flex align-items-stretch radio-layout">
                    <div class="bd-highlight checkbox-box">
                        <mat-radio-button value="2"></mat-radio-button>
                    </div>
                    <div class="bd-highlight radio-detail"
                        [ngClass]="{'checkbox-detail-true': approvalAuthority === '2','checkbox-detail-false': approvalAuthority !== '2'}"
                        (click)="clearApprovalAuthority('2')">คณะกรรมการจัดการ
                    </div>
                </div>
                <div class="d-flex align-items-stretch radio-layout">
                    <div class="bd-highlight checkbox-box">
                        <mat-radio-button value="3"></mat-radio-button>
                    </div>
                    <div class="bd-highlight radio-detail"
                        [ngClass]="{'checkbox-detail-true': approvalAuthority === '3','checkbox-detail-false': approvalAuthority !== '3'}"
                        (click)="clearApprovalAuthority('3')">อื่นๆ
                    </div>
                </div>
                    <textarea class="form-control input-detail"
                    style="resize: vertical;width:100%;outline: 0px solid transparent;" (keyup)="autogrow(1); changeSaveDraft();" rows="2"
                    (click)="autogrow(1)" type="text" id="textother1" placeholder="ระบุรายละเอียดเพิ่มเติม" [(ngModel)]="stepThreeData.approversOther"
                    [disabled]="approvalAuthority !== '3' " name="textother1"
                    required></textarea>
            </mat-radio-group>
        </div>
    </div>

    <div class="row">
        <div class="col-12">
            <p class="head-detal">ผ่านความเห็นชอบจากคณะกรรมการชุดใด</p>
        </div>
        <div class="col-12 body-detal-checkbox">
            <section class="example-section">
                <mat-checkbox class="example-margin" [(ngModel)]="testdata.DSC"
                    (ngModelChange)="commentator(testdata.DSC)">Digital Steering Committee (DSC)
                </mat-checkbox>
            </section>
            <section class="example-section">
                <mat-checkbox class="example-margin" [(ngModel)]="testdata.it"
                    (ngModelChange)="commentator(testdata.it)">IT Steering Committee
                </mat-checkbox>
            </section>
            <section class="example-section">
                <mat-checkbox class="example-margin" [(ngModel)]="testdata.other"
                    (ngModelChange)="commentator(testdata.other)">อื่นๆ
                </mat-checkbox>
            </section>
                <textarea class="form-control input-detail"
                style="resize: vertical;width:100%;outline: 0px solid transparent;" (keyup)="autogrow(2); changeSaveDraft();" rows="2"
                (click)="autogrow(2)" type="text" id="textother2" placeholder="ระบุรายละเอียดเพิ่มเติม" [(ngModel)]="stepThreeData.commentersOther"
                [disabled]="testdata.other === false" name="textother2"
                required></textarea>
        </div>
    </div>


    <div class="row">
        <div class="col-12">
            <p class="head-detal">การขออนุญาตจากหน่วยงานภายนอก</p>
        </div>
        <div class="col-12 body-detal-checkbox">
            <div class="row">
                <div class="col-12">
                    <mat-radio-group aria-labelledby="example-radio-group-label" class="example-radio-group"
                        [(ngModel)]="favoriteSeason" (ngModelChange)="checkradio(); changeSaveDraft()">
                        <mat-radio-button class="example-radio-button" *ngFor="let season of seasons" [value]="season">
                            {{season}}
                        </mat-radio-button>
                    </mat-radio-group>
                    <!--          <div class="d-flex align-items-stretch checkbox-layout">-->
                    <!--            <div class="bd-highlight checkbox-box">-->
                    <!--              <mat-checkbox (click)="changeApprovalOutsideList_1()" [(ngModel)]="stepThreeData.outsider.no">-->
                    <!--              </mat-checkbox>-->
                    <!--            </div>-->
                    <!--            <div class="bd-highlight checkbox-detail"-->
                    <!--                 [ngClass]="{'checkbox-detail-true': stepThreeData.outsider.yes === true,'checkbox-detail-false': stepThreeData.outsider.yes === false}"-->
                    <!--                 (click)="changeApprovalOutsideList_2_checkbox()">ใช่</div>-->
                    <!--          </div>-->
                    <!--          <div class="d-flex align-items-stretch checkbox-layout">-->
                    <!--            <div class="bd-highlight checkbox-box">-->
                    <!--              <mat-checkbox (click)="changeApprovalOutsideList_2()" [(ngModel)]="stepThreeData.outsider.yes">-->
                    <!--              </mat-checkbox>-->
                    <!--            </div>-->
                    <!--            <div class="bd-highlight checkbox-detail"-->
                    <!--              [ngClass]="{'checkbox-detail-true': stepThreeData.outsider.yes === true,'checkbox-detail-false': stepThreeData.outsider.yes === false}"-->
                    <!--              (click)="changeApprovalOutsideList_2_checkbox()">ใช่</div>-->
                    <!--          </div>-->
                    <!--        </div>-->
                    <div class="col-12">
                        <div class="subDetail" style="width: 500px;">
                            <div class="d-flex flex-wrap">
                                <div class="d-flex align-items-stretch checkbox-layout checkbox-padding-right">
                                    <div class="bd-highlight checkbox-box">
                                        <mat-checkbox [disabled]="!(stepThreeData.outsider.yes)"
                                            [(ngModel)]="stepThreeData.outsider.outhside.BOT"
                                            (ngModelChange)="changeSaveDraft()"></mat-checkbox>
                                    </div>
                                    <div class="bd-highlight checkbox-detail"
                                        [ngClass]="{'checkbox-detail-true': (stepThreeData.outsider.yes === true && stepThreeData.outsider.outhside.BOT === true), 'checkbox-detail-false': (stepThreeData.outsider.yes === true && stepThreeData.outsider.outhside.BOT === false), 'checkbox-detail-false-disabled': (stepThreeData.outsider.yes === false && stepThreeData.outsider.outhside.BOT === false)}"
                                        (click)="stepThreeData.outsider.outhside.BOT = !stepThreeData.outsider.outhside.BOT && stepThreeData.outsider.yes !== false; changeSaveDraft()">
                                        ธปท.
                                    </div>
                                </div>
                                <div class="d-flex align-items-stretch checkbox-layout checkbox-padding-right">
                                    <div class="bd-highlight checkbox-box">
                                        <mat-checkbox [disabled]="!(stepThreeData.outsider.yes)"
                                            [(ngModel)]="stepThreeData.outsider.outhside.IC"
                                            (ngModelChange)="changeSaveDraft()"></mat-checkbox>
                                    </div>
                                    <div class="bd-highlight checkbox-detail"
                                        [ngClass]="{'checkbox-detail-true': (stepThreeData.outsider.yes === true && stepThreeData.outsider.outhside.IC === true), 'checkbox-detail-false': (stepThreeData.outsider.yes === true && stepThreeData.outsider.outhside.IC === false), 'checkbox-detail-false-disabled': (stepThreeData.outsider.yes === false && stepThreeData.outsider.outhside.IC === false)}"
                                        (ngModelChange)="changeSaveDraft()"
                                        (click)="stepThreeData.outsider.outhside.IC = !stepThreeData.outsider.outhside.IC && stepThreeData.outsider.yes !== false; changeSaveDraft()">
                                        คปภ.
                                    </div>
                                </div>
                                <div class="d-flex align-items-stretch checkbox-layout checkbox-padding-right">
                                    <div class="bd-highlight checkbox-box">
                                        <mat-checkbox [disabled]="!(stepThreeData.outsider.yes)"
                                            [(ngModel)]="stepThreeData.outsider.outhside.SEC"
                                            (ngModelChange)="changeSaveDraft()"></mat-checkbox>
                                    </div>
                                    <div class="bd-highlight checkbox-detail"
                                        [ngClass]="{'checkbox-detail-true': (stepThreeData.outsider.yes === true && stepThreeData.outsider.outhside.SEC === true), 'checkbox-detail-false': (stepThreeData.outsider.yes === true && stepThreeData.outsider.outhside.SEC === false), 'checkbox-detail-false-disabled': (stepThreeData.outsider.yes === false && stepThreeData.outsider.outhside.SEC === false)}"
                                        (click)="stepThreeData.outsider.outhside.SEC = !stepThreeData.outsider.outhside.SEC && stepThreeData.outsider.yes !== false; changeSaveDraft()">
                                        ก.ล.ต.
                                    </div>
                                </div>
                                <div class="d-flex align-items-stretch checkbox-layout checkbox-padding-right">
                                    <div class="bd-highlight checkbox-box">
                                        <mat-checkbox [disabled]="!(stepThreeData.outsider.yes)"
                                            [(ngModel)]="stepThreeData.outsider.outhside.PON"
                                            (ngModelChange)="changeSaveDraft()"></mat-checkbox>
                                    </div>
                                    <div class="bd-highlight checkbox-detail"
                                        [ngClass]="{'checkbox-detail-true': (stepThreeData.outsider.yes === true && stepThreeData.outsider.outhside.PON === true), 'checkbox-detail-false': (stepThreeData.outsider.yes === true && stepThreeData.outsider.outhside.PON === false), 'checkbox-detail-false-disabled': (stepThreeData.outsider.yes === false && stepThreeData.outsider.outhside.PON === false)}"
                                        (click)="stepThreeData.outsider.outhside.PON = !stepThreeData.outsider.outhside.PON && stepThreeData.outsider.yes !== false; changeSaveDraft()">
                                        ปปง.
                                    </div>
                                </div>
                                <div class="d-flex align-items-stretch checkbox-layout">
                                    <div class="bd-highlight checkbox-box">
                                        <mat-checkbox [disabled]="!(stepThreeData.outsider.yes)"
                                            [(ngModel)]="stepThreeData.outsider.outhside.other"
                                            (ngModelChange)="clearList_5_detail(); changeSaveDraft();"></mat-checkbox>
                                    </div>
                                    <div class="bd-highlight checkbox-detail"
                                        [ngClass]="{'checkbox-detail-true': (stepThreeData.outsider.yes === true && stepThreeData.outsider.outhside.other === true), 'checkbox-detail-false': (stepThreeData.outsider.yes === true && stepThreeData.outsider.outhside.other === false), 'checkbox-detail-false-disabled': (stepThreeData.outsider.yes === false && stepThreeData.outsider.outhside.other === false)}"
                                        (click)="clearList_5_detail_div(); changeSaveDraft();">อื่นๆ
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-12">
                        <div style="padding-left: 30px;margin-top: 10px;">
                                <textarea class="form-control input-detail"
                                style="resize: vertical;width:100%;outline: 0px solid transparent;" (keyup)="autogrow(3); changeSaveDraft();" rows="2"
                                (click)="autogrow(3)" type="text" id="textother3" placeholder="เหตุผลประกอบ" [(ngModel)]="stepThreeData.outsiderDetail"
                                [disabled]="stepThreeData.outsider.outhside.other === false " name="textother3"
                                required></textarea>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row" [ngStyle]="{'display': template_manage.summary === 'show' ? 'none' : '' }">
        <div class="col-12">

            <br> <br> <br>
            <button class="btn btn-outline-secondary button-next" type="button" (click)="next_step()">ถัดไป</button>
        </div>
    </div>
    <br> <br>
</div>
<!-- ======================================== end validate  = true ================================================ -->

<!-- ======================================== validate  = true =================================================== -->
<div style="margin-left: 10px;" *ngIf="stepThreeData.validate === false">
    <div class="row">
        <div class="col-12">
            <p class="head-detal" style="margin-bottom: 5px;">อำนาจอนุมัติผลิตภัณฑ์</p>
        </div>
        <div class="col-12">
            <hr style="margin-top: 0px;margin-bottom: 20px;">
        </div>
        <div class="col-12 row" *ngIf="approvalAuthority === '1'">
            <div class="12">
                <ul>
                    <li class="ul_10">คณะกรรมการผลิตภัณฑ์</li>
                </ul>
            </div>
        </div>
        <div class="col-12 row" *ngIf="approvalAuthority === '2'">
            <div class="12">
                <ul>
                    <li class="ul_10">คณะกรรมการจัดการ</li>
                </ul>
            </div>
        </div>
        <div class="col-12 row" *ngIf="approvalAuthority === '3'">
            <div class="col-4">
                <ul>
                    <li class="ul_10">อื่นๆ</li>
                </ul>
            </div>
            <div class="col-4">
                ระบุ
            </div>
            <div class="col-4" style="word-wrap: break-word;">
                {{stepThreeData.approversOther}}
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-12">
            <p class="head-detal" style="margin-bottom: 5px;">ผ่านความเห็นชอบจากคณะกรรมการชุดใด</p>
        </div>
        <div class="col-12">
            <hr style="margin-top: 0px;margin-bottom: 20px;">
        </div>
        <div class="col-12 body-detal-checkbox">
            <!-- <section class="example-section"> -->
                <div class="col-12" *ngIf="testdata.DSC">Digital Steering Committee (DSC)</div>
                <div class="col-12" *ngIf="testdata.it">IT Steering Committee</div>
                <div class="col-12" *ngIf="testdata.other">
                    <div class="col-6 row">อื่นๆ</div>
                    <div class="col-6" style="word-wrap: break-word;">ระบุ: {{stepThreeData.commentersOther}}</div>
                </div>
            <!-- </section> -->
        </div>
    </div>

    <div class="row">
        <div class="col-12">
            <p class="head-detal" style="margin-bottom: 5px;margin-top: 35px;">การขออนุญาตจากหน่วยงานภายนอก</p>
        </div>
        <div class="col-12">
            <hr style="margin-top: 0px;margin-bottom: 20px;">
        </div>
        <div class="col-12" *ngIf="favoriteSeason ==='ไม่ใช่'">
            <ul>
                <li class="ul_10">ไม่ใช่</li>
            </ul>
        </div>
        <div class="col-12 row" *ngIf="favoriteSeason ==='ใช่'">
            <div class="col-3">
                <ul>
                    <li class="ul_10">ใช่</li>
                </ul>
            </div>
            <div class="col-3">
                ระบุ
            </div>
            <div class="col-6 row" style="word-wrap: break-word;">
                <div class="col-12" *ngIf="stepThreeData.outsider.outhside.BOT">ธปท.</div>
                <div class="col-12" *ngIf="stepThreeData.outsider.outhside.IC">คปภ.</div>
                <div class="col-12" *ngIf="stepThreeData.outsider.outhside.SEC">ก.ล.ต.</div>
                <div class="col-12" *ngIf="stepThreeData.outsider.outhside.PON">ปปง.</div>
                <div class="col-12 row" *ngIf="stepThreeData.outsider.outhside.other">
                    <div class="col-6">อื่นๆ</div>
                    <div class="col-6" style="word-wrap: break-word;">ระบุ: {{stepThreeData.outsiderDetail}}</div>
                </div>
            </div>
        </div>
    </div>
    <br> <br>
</div>
<!-- ======================================== end validate  = true ================================================ -->
<div class="row"
*ngIf="stepThreeData.validate === false"
 [ngStyle]="{'display': template_manage.summary === 'show' ? 'none' : '' }">
  <div class="col-12">
    <button class="btn btn-outline-secondary button-next" type="button" (click)="viewNext()">ถัดไป</button>
  </div>
</div>
<br>